Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg.sig
Class EmbeddedSignature

    java.lang.Object
      org.bouncycastle.bcpg.SignatureSubpacket
          org.bouncycastle.bcpg.sig.EmbeddedSignature

    public class EmbeddedSignature

extends SignatureSubpacket

Packet embedded signature

Field Summary

Fields inherited from class org.bouncycastle.bcpg.SignatureSubpacket
`data`

Constructor Summary
`EmbeddedSignature(boolean critical, byte[] data)`

Method Summary

Methods inherited from class org.bouncycastle.bcpg.SignatureSubpacket
`encode, getData, getType, isCritical`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmbeddedSignature

    public EmbeddedSignature(boolean critical,
                             byte[] data)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD